#!/bin/bash
set -e
if [ -z "$PROJECT_DB_USERNAME" ]; then echo "PROJECT_DB_USERNAME NOT SET - ERROR"; exit 1;  else : ; fi
if [ -z "$PROJECT_DB_PASSWORD" ]; then echo "PROJECT_DB_PASSWORD NOT SET - ERROR"; exit 1;  else : ; fi
if [ -z "$PROJECT_DB_NAME" ]; then echo "PROJECT_DB_NAME NOT SET - ERROR"; exit 1;  else : ; fi

psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" --dbname "$POSTGRES_DB" <<-EOSQL
CREATE USER "$PROJECT_DB_USERNAME";
ALTER USER "$PROJECT_DB_USERNAME" WITH ENCRYPTED PASSWORD '$PROJECT_DB_PASSWORD';
CREATE DATABASE "$PROJECT_DB_NAME";
GRANT ALL PRIVILEGES ON DATABASE "$PROJECT_DB_NAME" TO "$PROJECT_DB_USERNAME";
\c "$PROJECT_DB_NAME"
CREATE EXTENSION IF NOT EXISTS citext ;
EOSQL
